Overview
Comment: | Added dbus/dbif to simplified build system, which required supporting building multiple packages in a package directory |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
dec2be8d9f8bb343cd682685ad8701cc |
User & Date: | rkeene on 2016-09-06 04:32:06 |
Other Links: | manifest | tags |
Context
2016-09-06
| ||
04:39 | Moved tcc4tcl to simplified build system check-in: 531fec5815 user: rkeene tags: trunk | |
04:32 | Added dbus/dbif to simplified build system, which required supporting building multiple packages in a package directory check-in: dec2be8d9f user: rkeene tags: trunk | |
03:55 | Migrated TclX to the new build system check-in: db64a530a0 user: rkeene tags: trunk | |
Changes
Modified common/common.sh from [910bb9be64] to [7543705ff9].
︙ | ︙ | |||
211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 | } function preinstall() { : } function install() { local installpkgdir local pkglibfile mkdir -p "${installdir}/lib" || return 1 ${MAKE:-make} tcllibdir="${installdir}/lib" "${make_extra[@]}" install || return 1 # Create pkgIndex if needed if [ -z "${tclpkg}" ]; then tclpkg="${pkg}" fi if [ -z "${tclpkgversion}" ]; then tclpkgversion="${version}" fi | > | | > | < < | < > > | | > | < < | > | | 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 | } function preinstall() { : } function install() { local installlibdir local installpkgdir local pkglibfile mkdir -p "${installdir}/lib" || return 1 ${MAKE:-make} tcllibdir="${installdir}/lib" "${make_extra[@]}" install || return 1 # Create pkgIndex if needed if [ -z "${tclpkg}" ]; then tclpkg="${pkg}" fi if [ -z "${tclpkgversion}" ]; then tclpkgversion="${version}" fi installlibdir="${installdir}/lib" if [ "${pkg_configure_shared_build}" = '0' ]; then find "${installlibdir}" -name '*.a' | sed 's@/[^/]*\.a$@@' | head -n 1 | while IFS='' read -r installpkgdir; do if [ ! -e "${installpkgdir}/pkgIndex.tcl" ]; then cat << _EOF_ > "${installpkgdir}/pkgIndex.tcl" package ifneeded ${tclpkg} ${tclpkgversion} [list load {} ${tclpkg}] _EOF_ fi done elif [ "${pkg_configure_shared_build}" = '1' ]; then find "${installlibdir}" -name '*.so' -o -name '*.dylib' -o -name '*.dll' -o -name '*.shlib' | sed 's@/[^/]*$@@' | head -n 1 | while IFS='' read -r installpkgdir; do if [ ! -e "${installpkgdir}/pkgIndex.tcl" ]; then cat << _EOF_ > "${installpkgdir}/pkgIndex.tcl" package ifneeded ${tclpkg} ${tclpkgversion} [list load [file join \$dir ${pkglibfile}]] _EOF_ fi done fi } function postinstall() { : } function createruntime() { local file # Install files needed by installation cp -r "${installdir}/lib" "${runtimedir}" || return 1 find "${runtimedir}" '(' -name '*.a' -o -name '*.a.linkadd' ')' -type f | while IFS='' read -r file; do rm -f "${file}" done # Ensure that some files were installed if ! find "${runtimedir}" -type f 2>/dev/null | grep '^' >/dev/null; then return 1 fi |
︙ | ︙ |
Added dbus/build-kitcreator-dbif.sh version [b69ad79264].
> > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 | #! /usr/bin/env bash # BuildCompatible: KitCreator pkg='dbif' version="1.0" url="http://sourceforge.net/projects/dbus-tcl/files/dbif/${version}/dbif-${version}.tar.gz" sha256='50d1eed6284d1db168011d16d36ed4724109a0cff73bee16c436aa604893db24' function preconfigure() { make_extra=(moduledir="${installdir}/lib/tcl8/8.5") } |
Renamed and modified dbus/build.sh [374386d172] to dbus/build-kitcreator-dbus.sh [6de0efa651].
1 2 | #! /usr/bin/env bash | < < | < < < < < < | < < < < < < < | < | < < < < < | < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < | < < < | < < < < < < < < | < < < < < < < | < | < < < < < | < < < < < < < < < < < < < < < < < < < < < < < < < | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 | #! /usr/bin/env bash # BuildCompatible: KitCreator pkg='dbus' version="2.0" url="http://sourceforge.net/projects/dbus-tcl/files/dbus/${version}/dbus-${version}.tar.gz" sha256='428b4045d395b0d26255730ce7c0d14850e45abb3c7cc6d9d48c1d2b723bb16a' function postinstall() { local archive archive="$(find "${installdir}" -name '*.a' | head -n 1)" if [ -n "${archive}" ]; then echo '-ldbus-1' > "${archive}.linkadd" fi } |
Modified kitcreator from [ee8824e5b2] to [6465223bf6].
︙ | ︙ | |||
222 223 224 225 226 227 228 | cd "${pkg}" >/dev/null 2>/dev/null || exit 1 build_script='./build.sh' if [ -x 'kitcreator-build.sh' ]; then build_script='./kitcreator-build.sh' fi | | < < | < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < < | > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 | cd "${pkg}" >/dev/null 2>/dev/null || exit 1 build_script='./build.sh' if [ -x 'kitcreator-build.sh' ]; then build_script='./kitcreator-build.sh' fi if [ -f "${build_script}" ]; then build_scripts=("${build_script}") else build_scripts=($(echo build-kitcreator-*.sh)) fi call_pkg_init='1' for build_script in "${build_scripts[@]}"; do if useCommonBuildSystem "${build_script}"; then ( . ../common/common.sh . "${build_script}" set -x if [ "${call_pkg_init}" = '1' ]; then init || die 'init failed' fi predownload || die 'predownload failed' download || die 'download failed' postdownload || die 'postdownload failed' extract || die 'extract failed' apply_patches || die 'apply patches failed' cd "${workdir}" || exit 1 preconfigure || die 'preconfigure failed' configure || die 'configure failed' postconfigure || die 'postconfigure failed' prebuild || die 'prebuild failed' build || die 'build failed' postbuild || die 'postbuild failed' preinstall || die 'preinstall failed' install || die 'install failed' postinstall || die 'postinstall failed' createruntime || die 'createruntime failed' set +x rm -rf "${workdir}" ) 3>&1 4>&2 >> build.log 2>&1 || exit 1 else "${build_script}" 3>&1 4>&2 >> build.log 2>&1 || exit 1 fi call_pkg_init='0' done ) || failed="1" fi if [ "${failed}" = "1" ]; then echo " failed." failedpkgs="${failedpkgs} ${pkg}" else |
︙ | ︙ |